package com.hzya.frame.sys.tableCache.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
/**
 * @description: 表缓存表
 * @tableName:   sys_table_cache
 * @entityName:  TableCache
 * @author: 	 llg
 * @history:	 1.0
 */
public class  TableCache  extends BaseEntity {

	/** 主键ID */
	private String id;
	/** 服务名称，缓存对于的名称 */
	private String tableService;
	/** 中文名称 */
	private String tableComment;
	/** 表名 */
	private String tableName;
	/** 备注 */
	private String remarks;
	/** 类型 1、系统 2、自定义 */
	private String type;
	/** 排序 */
	private Long sorts;
	/** 启用停用，1、启用 2、停用 */
	private String enableStatus;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 修改人id */
	private String modifyUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 状态(Y正常N删除) */
	private String sts;
	/** 组织机构ID */
	private String orgId;
	private String sort;
	private String order;

	/** 主键ID */
	public void setId(String id) {
		this.id = id;
	}
	/** 主键ID */
	public String getId() {
		return id;
	}
	/** 服务名称，缓存对于的名称 */
	public void setTableService(String tableService) {
		this.tableService = tableService;
	}
	/** 服务名称，缓存对于的名称 */
	public String getTableService() {
		return tableService;
	}
	/** 中文名称 */
	public void setTableComment(String tableComment) {
		this.tableComment = tableComment;
	}
	/** 中文名称 */
	public String getTableComment() {
		return tableComment;
	}
	/** 表名 */
	public void setTableName(String tableName) {
		this.tableName = tableName;
	}
	/** 表名 */
	public String getTableName() {
		return tableName;
	}
	/** 备注 */
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}
	/** 备注 */
	public String getRemarks() {
		return remarks;
	}
	/** 类型 1、系统 2、自定义 */
	public void setType(String type) {
		this.type = type;
	}
	/** 类型 1、系统 2、自定义 */
	public String getType() {
		return type;
	}
	/** 排序 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序 */
	public Long getSorts() {
		return sorts;
	}
	/** 启用停用，1、启用 2、停用 */
	public void setEnableStatus(String enableStatus) {
		this.enableStatus = enableStatus;
	}
	/** 启用停用，1、启用 2、停用 */
	public String getEnableStatus() {
		return enableStatus;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}
	/** 状态(Y正常N删除) */
	public void setSts(String sts) {
		this.sts = sts;
	}
	/** 状态(Y正常N删除) */
	public String getSts() {
		return sts;
	}
	/** 组织机构ID */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 组织机构ID */
	public String getOrgId() {
		return orgId;
	}
	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}




}
